Empire requires M2crypto

I’m trying to install M2Crypto and cannot be installed, how can i solve this issue?

I’m using the latest custom kali made my zaid and I have that issue.

Just use Veil + TheFatRat and Metasploit!
Empire is really buggy.

But if you really want to use Empire you can try this.

apt update
apt install powershell-empire

Then run this command in terminal:
powershell-empire

It will prompt for a password for database, just hit enter.

If that doesn’t work
I would recommend to switch back to a previous snapshot before the first failed installation.

1 Like

Thank you for your reply, I have aleady resolved it just by running three commands:
Before anything run apt update.
First command: “sudo apt-get install python-dev” to install python dev packages.
Second command: “sudo apt-get install python-pip”
Third commnad: " sudo apt-get install libssl-dev swig python3-dev gcc"
Then run this command: “pip install m2crypto”
then run “./reset.sh” in the empire setup directory.
if it is complaining about the absence of other modules, just install them by using “pip install” command, and use google to find the exact name for those modules to be able to install them using pip command (keep running ./reset.sh till you install all the missing modules). then Empire will work. I think those commands can resolve any Empire installation issue that people complaining about.

1 Like

Okay nice,
Next time I have this problem, I am going to try this solution.
Thx

Hi Edwin and thanks for you help ,

this procedure is the same at instal full empire with GIT … ?

apt update
apt install powershell-empire

Then run this command in terminal:
powershell-empire